The BOOST_PP_SEQ_PUSH_FRONT macro pushes an element onto the beginning of a seq.

#### Usage

BOOST_PP_SEQ_PUSH_FRONT(seq, elem)

#### Arguments

seq
  The seq onto which elem is pushed.
elem
  The element to push onto the beginning of seq.

#### Remarks

This macro returns seq after prepending elem.
This macro is an explicit form of directly prepending an element. In other words, BOOST_PP_SEQ_PUSH_FRONT(seq, x) is equivalent to (x)seq.

#### See Also

- BOOST_PP_SEQ_PUSH_BACK

#### Requirements

Header: <boost/preprocessor/seq/push_front.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/push_front.hpp>

    #define SEQ (b)(c)

    BOOST_PP_SEQ_PUSH_FRONT(SEQ, a) // expands to (a)(b)(c)